export declare type ITerminalInstance = {
    id: number | null;
    processId: number | null;
    title: string | null;
};
export declare type IShellLaunchConfig = {
    name: string | null;
    executable: string | null;
    args: Array<string | null> | null;
    cwd: string | null;
    ignoreConfigurationCwd: boolean | null;
    waitOnExit: boolean | null;
};
export declare type ITerminalDimension = {
    width: number | null;
    height: number | null;
};
export declare type ITerminalBuffer = {
    id: number | null;
    buffer: string | null;
};
export declare type CreateInstanceMutationVariables = {
    shell: IShellLaunchConfig | null;
    dimension?: ITerminalDimension | null;
};
export declare type CreateInstanceMutation = {
    createInstance: ITerminalInstance | null;
};
export declare type SendTextMutationVariables = {
    pid: number | null;
    text: string | null;
    addNewLine: boolean | null;
};
export declare type SendTextMutation = {
    sendText: boolean | null;
};
export declare type SetActiveInstanceMutationVariables = {
    terminalInstance: ITerminalInstance | null;
};
export declare type SetActiveInstanceMutation = {
    setActiveInstance: ITerminalInstance | null;
};
export declare type GetActiveInstanceQuery = {
    getActiveInstance: ITerminalInstance | null;
};
export declare type TerminalInstancesQuery = {
    terminalInstances: Array<ITerminalInstance> | null;
};
export declare type TerminalDataSubscription = {
    terminalData: {
        id: number | null;
        msg: string | null;
    } | null;
};
export declare type DeleteInstanceMutationVariables = {
    id: number | null;
};
export declare type DeleteInstanceMutation = {
    deleteInstance: boolean | null;
};
export declare type SetInstanceSizeMutationVariables = {
    id: number | null;
    dimension: ITerminalDimension | null;
};
export declare type SetInstanceSizeMutation = {
    setInstance: boolean | null;
};
export declare type TerminalBufferQuery = {
    terminalBuffer: ITerminalBuffer | null;
};
export declare type TerminalBufferQueryVariables = {
    id: number | null;
};
export declare type TerminalBufferInputProps = {
    activeInstance: ITerminalInstance;
};
export declare type SaveTerminalBufferMutationVariables = {
    id: number | null;
    buffer: string | null;
};
export declare type SaveTerminalBufferMutation = {
    saveTerminalBuffer: string | null;
};
